Bug 24489 - Ant 1.5 compat
Ant 1.5 compat
Status: RESOLVED INVALID
Product: www
Classification: Unclassified
Component: Builds & Repositories
3.x
PC Linux
: P1 (vote)
: TBD
Assigned To: Michal Zlamal
nbbuild-issues@ide
http://www.netbeans.org/servlets/Brow...
:
Depends on:
Blocks: 29331
  Show dependency treegraph
 
Reported: 2002-06-06 16:37 UTC by Jesse Glick
Modified: 2002-12-05 18:11 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Provisional patch (1.31 KB, patch)
2002-06-06 16:37 UTC, Jesse Glick
Details | Diff
ZIP of log from Andrew (10.49 KB, application/octet-stream)
2002-06-11 05:28 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-06-06 16:37:25 UTC
We know we have a problem with building NB using
Ant 1.5. I guess that the root problem is a change
in the way optional taskdefs are handled.  I will
try to come up with a testcase and report it.

In the meantime, I find that indeed <nbmerge> is
running the bootstrap and init targets *again*.
This is a bug in NbMerge. I am attaching a patch
which seems to correct it. The patch *does*
however require Ant 1.4 or higher and will not
work with Ant 1.3: there were big API changes in
Ant 1.4 in Project, Target, etc. There is probably
a workaround patch that will work in Ant 1.3 -
1.5, but it would be better to require >= 1.4 I
think. Note that bootstrap compiles against
nbextra/nbbuild/lib/ant.jar, meaning we would
really have to upgrade that ant.jar in order for
the patch to work.
Comment 1 Jesse Glick 2002-06-06 16:37:57 UTC
Created attachment 6129 [details]
Provisional patch
Comment 2 Jesse Glick 2002-06-06 21:44:14 UTC
Filed an Ant bug:

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=9675

However there is also a bug in the NetBeans build code which if fixed
with this patch will make #9675 irrelevant.
Comment 3 Jesse Glick 2002-06-10 15:31:29 UTC
The Ant bug is supposedly fixed in the 1.5 branch. Please download the
1.5 build linked to from the Ant bug report and confirm that it fixes
the NB problem (without this patch). I think the patch ought to be
applied anyway however, at least if we can require Ant >= 1.4.
Comment 4 andrew 2002-06-10 22:23:18 UTC
Jesse,

I have
 
- downloaded pointed Ant build (10 june),
- replaced ant jars in modules/ext, and 
- successfully built NB from current CVS trunk.

I have not used the NbMerge.java patch.

The Ant log contains some "DEPRECATED" messages and plenty 
of "Trying to override old definition of task ..." 
messages.

If it is interesting and possible, I can attach compressed 
Ant
log (~10K) to direct email - I have difficulties with 
doing 
an attachment via IZ.

Andrew
Comment 5 Jesse Glick 2002-06-10 22:45:41 UTC
Sounds good. Andrew, you can mail the log to either me or Michal; just
make sure the issue # is visible in the mail. Thanks!
Comment 6 Jesse Glick 2002-06-11 05:28:19 UTC
Created attachment 6188 [details]
ZIP of log from Andrew
Comment 7 Michal Zlamal 2002-06-11 15:41:43 UTC
I'll go through the proposed patch and the attached log.
Comment 8 Marek Grummich 2002-07-22 11:08:48 UTC
Set target milestone to TBD
Comment 9 Michal Zlamal 2002-12-05 18:11:12 UTC
Fixed in ANT 1.5.1 so I suggest to use this version of ANT


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo